// Подвал
function PutFooter()
{
  var str = '<HR class="none"><DIV id="footer">';
  str += '&copy;&nbsp;2009 А.&nbsp;А.&nbsp;Дуванов <A href="mailto:kurs@robotland.pereslavl.ru">kurs@robotland.pereslavl.ru</A>';
  str += '</DIV>';
  document.write(str);
}

// Заголовочная часть
// page=0 для главной страницы
function PutHeader(page)
{
  var str = '<DIV id="header"><H1>';
  if(page) str += '<A href="index.htm">';
  str += '<IMG src="pic/logo.png" border=0 width=72 height=69 alt="Логотип Роботландии" title=';
  str += page ? '"На главную">' : '"Логотип Роботландии">';
  if(page) str += '</A>';
  str += ' Роботландия'
  str += '</H1></DIV><HR class="none">';
  document.write(str);
}

// Меню
// Пункты меню
// -----------
var ItemsMenu = new Array (
  new Array ("Начало",     "index.htm"),
  new Array ("Продукты", "sale.htm"), 
  new Array ("Университет", "ru.htm"), 
  new Array ("Ссылки", "links.htm"), 
  new Array ("Автор", "author.htm") 
                          );
// page -- номер текущей страницы (нумерация с нуля)
function PutМеню(page)
{
  var str ='<DIV class="wrapper"><UL id="menu">';
  for (var i=0; i<ItemsMenu.length; i++)
  {
    str += '<LI>'; 
    if (i != page) str += '<A href="'+ ItemsMenu[i][1] +'">';
    str += ItemsMenu[i][0];
    if (i != page) str += '</A>';
    str += '</LI>'; 
  }
  str += '</UL></DIV><A class="none" href="#content">Пропустить новости</A><HR class="none">';
  return str;
}

// Новости
function PutNews()
{
  var str = '<DIV class="wrapper">';
str += ' <H3>Зима, 2009</H3>'+
'        <P>'+
'Написаны заметки под названием &laquo;CSS-вёрстка&raquo;.'+
''+    
'        <H3>31.01.09</H3>'+
'        <P>'+
'Роботландии исполнилось 18 лет!'+ 
'        <P>'+
'День рождения предприятия &laquo;Роботландия&raquo;&nbsp;&#8212; '+ 
'31&nbsp;января 1991 года. Однако работы по созданию курса информатики для '+ 
'младших школьников группа сотрудников будущей Роботландии начала '+ 
'3&nbsp;сентября 1986 года в недрах лаборатории школьной информатики '+ 
'Института программных систем Академии наук СССР '+
'(<A class=off href="http://www.botik.ru/PSI">ссылка</A>).'+ 
''+
'        <H3>Лето, 2008</H3>'+
'        <P>'+
'Создан электронный учебник &laquo;Изучаю компьютер&raquo;&nbsp;&#8212; '+
'гипертекстовый интерактивный курс для младших школьников и одарённых '+ 
'дошкольников, работающих под руководством наставника.'+
'        </P>';
  str += '<A class="up" href="javascript:void(0)" onclick="scroll(0,0)">вверх</A></DIV>';
  return str;
}

// Боковая панель
// page -- номер текущей страницы (нумерация с нуля)
function PutSidebar(page)
{
  var str = '<DIV id="sidebar">';
  str += '<H2>Содержание</H2>';
  str += PutМеню(page); // Меню
  str += '<H2>Новости</H2>';
  str += PutNews(); // Новости
  str += '</DIV><HR class="none">'
  document.write(str);
}

